factory.hpp File Reference
`#include <cstddef>`
`#include <stdexcept>`
`#include <string>`
`#include <utility>`
`#include <osmium/geom/coordinates.hpp>`
`#include <osmium/memory/collection.hpp>`
`#include <osmium/memory/item.hpp>`
`#include <osmium/osm/area.hpp>`
`#include <osmium/osm/item_type.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <osmium/osm/node.hpp>`
`#include <osmium/osm/node_ref.hpp>`
`#include <osmium/osm/way.hpp>`
Include dependency graph for factory.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::geometry_error
class | osmium::geom::IdentityProjection
class | osmium::geom::GeometryFactory< TGeomImpl, TProjection >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::geom
| Everything related to geometry handling.

## Enumerations

enum | osmium::geom::use_nodes : bool { osmium::geom::use_nodes::unique = true, osmium::geom::use_nodes::all = false }
enum | osmium::geom::direction : bool { osmium::geom::direction::backward = true, osmium::geom::direction::forward = false }